<?php
/**
 *  * Template Name: Wild Grain
 * 
 * The template is displaying a page template that has a video playing
 * in the background of the whole width and height of the screen.  This is a 
 * Page Type Template by Texx Smith.  It's intended use is for landing pages, home pages, coming soon pages etc.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package  underscores_soon
 */



?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    
    <?php wp_head(); ?>

    <link rel="stylesheet" href="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/css/custom_txs.css">
	<link rel="stylesheet" href="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/css/core.css">
	<link rel="stylesheet" href="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/css/julius.css">
    
    <!--[if lt IE 9]>
        <script>
            document.createElement('video');
        </script>
    <![endif]-->

	
</head>


	<div>	        

        <video autoplay loop poster="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/images/poster.jpg" id="bgvid">
            <source src="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/vids/wild_grass.webm" type="video/webm">
            <source src="<?php  echo esc_url( get_stylesheet_directory_uri() );  ?>/assets/vids/wild_grass.ogg" type="video/ogg">
        </video>

        <div class="soon-centered-container darkBack">
        <?php
		if(have_posts()) : ?>
            <?php while(have_posts()) : the_post(); ?> 
            <h1><?php the_title();  ?></h1>
            <?php the_content();  ?>        
            <?php  endwhile; ?>
            <?php else : ?>
                <?php echo wpautop('Sorry, no posts were found'); ?>
            <?php endif;  ?>
        </div>
        

    </div>

   

    

<?php wp_footer(); ?>
